# HG changeset patch
# Node ID 6f1cf3b3aad2
# Parent  725422517004
diff --git a/gplugin-gtk4/data/plugin-row.ui b/gplugin-gtk4/data/plugin-row.ui
--- a/gplugin-gtk4/data/plugin-row.ui
+++ b/gplugin-gtk4/data/plugin-row.ui
@@ -1,18 +1,9 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <interface>
   <requires lib="gtk" version="4.0"/>
-  <object class="GtkImage" id="image1">
-    <property name="can-focus">0</property>
-    <property name="margin-start">6</property>
-    <property name="margin-end">6</property>
-    <property name="margin-top">6</property>
-    <property name="margin-bottom">6</property>
-    <property name="icon-name">preferences-system-symbolic</property>
-  </object>
   <template class="GPluginGtkPluginRow" parent="GtkListBoxRow">
     <property name="child">
       <object class="GtkBox">
-        <property name="can-focus">0</property>
         <property name="margin-start">12</property>
         <property name="margin-end">12</property>
         <property name="margin-top">12</property>
@@ -21,8 +12,8 @@
         <property name="spacing">12</property>
         <child>
           <object class="GtkBox" id="header">
+            <property name="css-classes">header</property>
             <property name="vexpand">1</property>
-            <property name="can-focus">0</property>
             <property name="spacing">12</property>
             <child>
               <object class="GtkSwitch" id="enable">
@@ -33,58 +24,54 @@
             <child>
               <object class="GtkBox" id="title_box">
                 <property name="hexpand">1</property>
-                <property name="can-focus">0</property>
                 <property name="valign">center</property>
                 <property name="orientation">vertical</property>
                 <child>
                   <object class="GtkLabel" id="title">
                     <property name="accessible-role">row-header</property>
+                    <property name="css-classes">heading</property>
                     <property name="hexpand">1</property>
-                    <property name="can-focus">0</property>
                     <property name="label">Plugin Name</property>
                     <property name="wrap">1</property>
                     <property name="wrap-mode">word-char</property>
                     <property name="xalign">0</property>
                     <property name="yalign">0</property>
-                    <style>
-                      <class name="heading"/>
-                    </style>
                   </object>
                 </child>
                 <child>
                   <object class="GtkLabel" id="summary">
-                    <property name="can-focus">0</property>
+                    <property name="css-classes">subtitle</property>
                     <property name="halign">start</property>
                     <property name="label">The plugin short summary</property>
                     <property name="wrap">1</property>
                     <property name="wrap-mode">word-char</property>
                     <property name="ellipsize">end</property>
                     <property name="xalign">0</property>
-                    <style>
-                      <class name="subtitle"/>
-                    </style>
                   </object>
                 </child>
               </object>
             </child>
             <child>
               <object class="GtkLabel" id="version">
-                <property name="can-focus">0</property>
+                <property name="css-classes">dim-label</property>
                 <property name="halign">end</property>
                 <property name="label">1337.0.0</property>
-                <style>
-                  <class name="dim-label"/>
-                </style>
               </object>
             </child>
             <child>
               <object class="GtkButton" id="config">
+                <property name="css-classes">circular</property>
                 <property name="receives-default">1</property>
                 <property name="valign">center</property>
-                <property name="child">image1</property>
-                <style>
-                  <class name="circular"/>
-                </style>
+                <property name="child">
+                  <object class="GtkImage">
+                    <property name="margin-start">6</property>
+                    <property name="margin-end">6</property>
+                    <property name="margin-top">6</property>
+                    <property name="margin-bottom">6</property>
+                    <property name="icon-name">preferences-system-symbolic</property>
+                  </object>
+                </property>
               </object>
             </child>
             <child>
@@ -98,23 +85,17 @@
                 <property name="valign">center</property>
               </object>
             </child>
-            <style>
-              <class name="header"/>
-            </style>
           </object>
         </child>
         <child>
           <object class="GtkRevealer" id="revealer">
-            <property name="can-focus">0</property>
             <property name="reveal-child" bind-source="expander" bind-property="expanded" bind-flags="bidirectional|sync-create"/>
             <property name="child">
               <object class="GtkBox">
-                <property name="can-focus">0</property>
                 <property name="orientation">vertical</property>
                 <property name="spacing">12</property>
                 <child>
                   <object class="GtkLabel" id="description">
-                    <property name="can-focus">0</property>
                     <property name="margin-start">12</property>
                     <property name="margin-end">12</property>
                     <property name="margin-top">12</property>
@@ -126,14 +107,13 @@
                 </child>
                 <child>
                   <object class="GtkListBox">
-                    <property name="can-focus">0</property>
+                    <property name="css-classes">nested</property>
                     <child>
                       <object class="GtkListBoxRow">
                         <property name="activatable">0</property>
                         <property name="selectable">0</property>
                         <property name="child">
                           <object class="GtkBox">
-                            <property name="can-focus">0</property>
                             <property name="margin-start">12</property>
                             <property name="margin-end">12</property>
                             <property name="margin-top">12</property>
@@ -141,8 +121,7 @@
                             <property name="spacing">12</property>
                             <child>
                               <object class="GtkLabel" id="authors_label">
-                                <property name="can-focus">0</property>
-                                <property name="label" translatable="yes">Authors</property>
+                                <property name="label" translatable="1">Authors</property>
                                 <property name="xalign">0</property>
                               </object>
                             </child>
@@ -151,7 +130,6 @@
                                 <property name="orientation">vertical</property>
                                 <child>
                                   <object class="GtkLabel">
-                                    <property name="can-focus">0</property>
                                     <property name="label">An Author &lt;author@example.com&gt;</property>
                                   </object>
                                 </child>
@@ -167,7 +145,6 @@
                         <property name="selectable">0</property>
                         <property name="child">
                           <object class="GtkBox">
-                            <property name="can-focus">0</property>
                             <property name="margin-start">12</property>
                             <property name="margin-end">12</property>
                             <property name="margin-top">12</property>
@@ -175,14 +152,12 @@
                             <property name="spacing">12</property>
                             <child>
                               <object class="GtkLabel" id="website_label">
-                                <property name="can-focus">0</property>
-                                <property name="label" translatable="yes">Website</property>
+                                <property name="label" translatable="1">Website</property>
                                 <property name="xalign">0</property>
                               </object>
                             </child>
                             <child>
                               <object class="GtkLabel" id="website">
-                                <property name="can-focus">0</property>
                                 <property name="label">&lt;a href=&quot;https://pidgin.im&quot;&gt;https://pidgin.im&lt;/a&gt;</property>
                                 <property name="use-markup">1</property>
                               </object>
@@ -197,7 +172,6 @@
                         <property name="selectable">0</property>
                         <property name="child">
                           <object class="GtkBox">
-                            <property name="can-focus">0</property>
                             <property name="margin-start">12</property>
                             <property name="margin-end">12</property>
                             <property name="margin-top">12</property>
@@ -205,8 +179,7 @@
                             <property name="spacing">12</property>
                             <child>
                               <object class="GtkLabel" id="dependencies_label">
-                                <property name="can-focus">0</property>
-                                <property name="label" translatable="yes">Dependencies</property>
+                                <property name="label" translatable="1">Dependencies</property>
                                 <property name="xalign">0</property>
                               </object>
                             </child>
@@ -215,7 +188,6 @@
                                 <property name="orientation">vertical</property>
                                 <child>
                                   <object class="GtkLabel">
-                                    <property name="can-focus">0</property>
                                     <property name="label">(none)</property>
                                   </object>
                                 </child>
@@ -231,7 +203,6 @@
                         <property name="selectable">0</property>
                         <property name="child">
                           <object class="GtkBox">
-                            <property name="can-focus">0</property>
                             <property name="margin-start">12</property>
                             <property name="margin-end">12</property>
                             <property name="margin-top">12</property>
@@ -239,14 +210,12 @@
                             <property name="spacing">12</property>
                             <child>
                               <object class="GtkLabel" id="error_label">
-                                <property name="can-focus">0</property>
-                                <property name="label" translatable="yes">Error</property>
+                                <property name="label" translatable="1">Error</property>
                                 <property name="xalign">0</property>
                               </object>
                             </child>
                             <child>
                               <object class="GtkLabel" id="error">
-                                <property name="can-focus">0</property>
                                 <property name="label">(none)</property>
                               </object>
                             </child>
@@ -260,7 +229,6 @@
                         <property name="selectable">0</property>
                         <property name="child">
                           <object class="GtkBox">
-                            <property name="can-focus">0</property>
                             <property name="margin-start">12</property>
                             <property name="margin-end">12</property>
                             <property name="margin-top">12</property>
@@ -268,14 +236,12 @@
                             <property name="spacing">12</property>
                             <child>
                               <object class="GtkLabel" id="id_label">
-                                <property name="can-focus">0</property>
-                                <property name="label" translatable="yes">ID</property>
+                                <property name="label" translatable="1">ID</property>
                                 <property name="xalign">0</property>
                               </object>
                             </child>
                             <child>
                               <object class="GtkLabel" id="id">
-                                <property name="can-focus">0</property>
                                 <property name="label">gplugin/example-plugin</property>
                               </object>
                             </child>
@@ -289,7 +255,6 @@
                         <property name="selectable">0</property>
                         <property name="child">
                           <object class="GtkBox">
-                            <property name="can-focus">0</property>
                             <property name="margin-start">12</property>
                             <property name="margin-end">12</property>
                             <property name="margin-top">12</property>
@@ -297,14 +262,12 @@
                             <property name="spacing">12</property>
                             <child>
                               <object class="GtkLabel" id="filename_label">
-                                <property name="can-focus">0</property>
-                                <property name="label" translatable="yes">Filename</property>
+                                <property name="label" translatable="1">Filename</property>
                                 <property name="xalign">0</property>
                               </object>
                             </child>
                             <child>
                               <object class="GtkLabel" id="filename">
-                                <property name="can-focus">0</property>
                                 <property name="label">/the/full/path/to/plugin.so</property>
                                 <property name="ellipsize">start</property>
                               </object>
@@ -319,7 +282,6 @@
                         <property name="selectable">0</property>
                         <property name="child">
                           <object class="GtkBox">
-                            <property name="can-focus">0</property>
                             <property name="margin-start">12</property>
                             <property name="margin-end">12</property>
                             <property name="margin-top">12</property>
@@ -327,14 +289,12 @@
                             <property name="spacing">12</property>
                             <child>
                               <object class="GtkLabel" id="abi_version_label">
-                                <property name="can-focus">0</property>
-                                <property name="label" translatable="yes">ABI Version</property>
+                                <property name="label" translatable="1">ABI Version</property>
                                 <property name="xalign">0</property>
                               </object>
                             </child>
                             <child>
                               <object class="GtkLabel" id="abi_version">
-                                <property name="can-focus">0</property>
                                 <property name="label">DEADC0DE</property>
                               </object>
                             </child>
@@ -348,7 +308,6 @@
                         <property name="selectable">0</property>
                         <property name="child">
                           <object class="GtkBox">
-                            <property name="can-focus">0</property>
                             <property name="margin-start">12</property>
                             <property name="margin-end">12</property>
                             <property name="margin-top">12</property>
@@ -356,14 +315,12 @@
                             <property name="spacing">12</property>
                             <child>
                               <object class="GtkLabel" id="loader_label">
-                                <property name="can-focus">0</property>
-                                <property name="label" translatable="yes">Loader</property>
+                                <property name="label" translatable="1">Loader</property>
                                 <property name="xalign">0</property>
                               </object>
                             </child>
                             <child>
                               <object class="GtkLabel" id="loader">
-                                <property name="can-focus">0</property>
                                 <property name="label">GPluginExampleLoader</property>
                               </object>
                             </child>
@@ -377,7 +334,6 @@
                         <property name="selectable">0</property>
                         <property name="child">
                           <object class="GtkBox">
-                            <property name="can-focus">0</property>
                             <property name="margin-start">12</property>
                             <property name="margin-end">12</property>
                             <property name="margin-top">12</property>
@@ -385,14 +341,12 @@
                             <property name="spacing">12</property>
                             <child>
                               <object class="GtkLabel" id="internal_label">
-                                <property name="can-focus">0</property>
-                                <property name="label" translatable="yes">Internal</property>
+                                <property name="label" translatable="1">Internal</property>
                                 <property name="xalign">0</property>
                               </object>
                             </child>
                             <child>
                               <object class="GtkLabel" id="internal">
-                                <property name="can-focus">0</property>
                                 <property name="label">Maybe</property>
                               </object>
                             </child>
@@ -406,7 +360,6 @@
                         <property name="selectable">0</property>
                         <property name="child">
                           <object class="GtkBox">
-                            <property name="can-focus">0</property>
                             <property name="margin-start">12</property>
                             <property name="margin-end">12</property>
                             <property name="margin-top">12</property>
@@ -414,14 +367,12 @@
                             <property name="spacing">12</property>
                             <child>
                               <object class="GtkLabel" id="load_on_query_label">
-                                <property name="can-focus">0</property>
-                                <property name="label" translatable="yes">Load on Query</property>
+                                <property name="label" translatable="1">Load on Query</property>
                                 <property name="xalign">0</property>
                               </object>
                             </child>
                             <child>
                               <object class="GtkLabel" id="load_on_query">
-                                <property name="can-focus">0</property>
                                 <property name="label">Maybe</property>
                               </object>
                             </child>
@@ -429,9 +380,6 @@
                         </property>
                       </object>
                     </child>
-                    <style>
-                      <class name="nested"/>
-                    </style>
                   </object>
                 </child>
               </object>
diff --git a/gplugin-gtk4/data/view.ui b/gplugin-gtk4/data/view.ui
--- a/gplugin-gtk4/data/view.ui
+++ b/gplugin-gtk4/data/view.ui
@@ -26,22 +26,18 @@
             <property name="margin-top">24</property>
             <child>
               <object class="GtkListBox" id="list_box">
+                <property name="css-classes">rich-list</property>
                 <property name="selection-mode">none</property>
                 <property name="show-separators">1</property>
                 <signal name="row-activated" handler="gplugin_gtk_view_row_activated"/>
-                <style>
-                  <class name="rich-list"/>
-                </style>
                 <child type="placeholder">
                   <object class="GtkLabel">
-                    <property name="label" translatable="yes">No plugins found</property>
+                    <property name="css-classes">large-title</property>
+                    <property name="label" translatable="1">No plugins found</property>
                     <property name="margin-bottom">24</property>
                     <property name="margin-end">24</property>
                     <property name="margin-start">24</property>
                     <property name="margin-top">24</property>
-                    <style>
-                      <class name="large-title"/>
-                    </style>
                   </object>
                 </child>
               </object>
